Enumerations | Functions
libevdev-uinput.h File Reference
`#include <libevdev/libevdev.h>`

Go to the source code of this file.

## Enumerations
enum | libevdev_uinput_open_mode { LIBEVDEV_UINPUT_OPEN_MANAGED }

## Functions
int | libevdev_uinput_create_from_device (const struct libevdev *dev, int uinput_fd, struct libevdev_uinput **uinput_dev)
| Create a uinput device based on the given libevdev device. More...
void | libevdev_uinput_destroy (struct libevdev_uinput *uinput_dev)
| Destroy a previously created uinput device and free associated memory. More...
int | libevdev_uinput_get_fd (const struct libevdev_uinput *uinput_dev)
| Return the file descriptor used to create this uinput device. More...
const char * | libevdev_uinput_get_syspath (struct libevdev_uinput *uinput_dev)
| Return the syspath representing this uinput device. More...
const char * | libevdev_uinput_get_devnode (struct libevdev_uinput *uinput_dev)
| Return the device node representing this uinput device. More...
int | libevdev_uinput_write_event (const struct libevdev_uinput *uinput_dev, unsigned int type, unsigned int code, int value)
| Post an event through the uinput device. More...

## Enumeration Type Documentation

## ◆ libevdev_uinput_open_mode

enum libevdev_uinput_open_mode

Enumerator
LIBEVDEV_UINPUT_OPEN_MANAGED | let libevdev open and close `/dev/uinput`